* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}


body {

    font-family: sans-serif;

}


img {
    width: 100%;
    display: block;
}


header {
    background-color: #C3A3FF;
    padding-top: 17px;
    padding-bottom: 17px;

}

#menu_nav {
    width: 70%;
    margin: auto;
    max-width: 1100px;

    display: flex;
    justify-content: space-between;
    align-items: center;
}


/* ### MENU  ### */
nav#desktop ul {
    margin: 0;
    padding: 0;
    list-style-type: none;

    display: flex;
    justify-content: space-between;
}

nav#desktop ul li {
    margin: 0 10px;
}

nav a {
    color: rgb(255, 255, 255);
    text-decoration: none;
}

nav a:visited {
    color: rgb(255, 255, 255);
}

nav a:hover {
    text-decoration: underline;
    color: rgb(234, 209, 247);
}




#bigmac {
    display: none;

    width: 40px;
    height: 28px;

    position: relative;

    z-index: 30;

    cursor: pointer;
}

#bigmac .linha {
    position: absolute;
    height: 4px;
    width: 100%;


    background-color: white;
    border-radius: 9px;

    opacity: 1;
    left: 0;

    transform: rotate(0deg);
    transition: 0.5s ease-in-out;
}


#bigmac .linha:nth-child(1) {
    top: 0px;
}

#bigmac .linha:nth-child(2) {
    top: 12px;
}

#bigmac .linha:nth-child(3) {
    top: 12px;
}

#bigmac .linha:nth-child(4) {
    top: 24px;
}

#bigmac.open .linha:nth-child(1) {
    top: 18px;
    width: 0%;
    left: 50%;
}

#bigmac.open .linha:nth-child(2) {
    transform: rotate(45deg);
}

#bigmac.open .linha:nth-child(3) {
    transform: rotate(-45deg);
}

#bigmac.open .linha:nth-child(4) {
    top: 18px;
    width: 0%;
    left: 50%;
}


nav#mobile {
    display: none;

}



/* FIM HEADER */





/* CORES */

.cor-titulo-a {
    color: #ffffff;
}

.cor-titulo-b {
    color: #000000;
}

.cor-titulo-c {
    color: #ff0000;
}

.cor-fundo-1 {
    color: #C3A3FF;
}






#atividades {
    background-color: #FFE3E3;

}

.conteudo {
    width: 70%;
    max-width: 1100px;
    margin-left: auto;
    margin-right: auto;

}

#marginent {
    padding: 120px;
}

.grelha {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 30px;
}

.area8colunas {
    background-color: #ff0000;
    grid-column: span 8;

}

.area7colunas {

    grid-column: span 7;
    height: 100%;

}

.area5colunas {
    grid-column: span 5;
}

.area4colunas {

    background-color: #ffffff;
    grid-column: span 4;
}

#duaslinhas {
    grid-row: 1/3;
}

#festa {
    height: 100%;
    object-fit: cover;

}

.area6colunas {
    background-color: #FFE3E3;
    grid-column: span 6;

}

.area3colunas {
    grid-column: span 3;

}

.area12colunas {


    grid-column: span 12;
    text-align: center;

}

.areadomapa {
    grid-column: 2/12;
}

.exp {
    background-color: #73BDD8;
}

#dia4cor {
    background-color: #ABD7E8;
}

.dia35cor {
    background-color: #B9D19C;
}



.icones {
    width: 50px;
    margin-bottom: 20px;

}


.botao_verde {
    background-color: #8BB35A;
    padding: 10px;

    grid-column: 1/3;
    margin-right: 50px;
    text-align: center;
    width: 100%;
    color: #f3f3f3;
    text-decoration: none;
    border-radius: 10px;
    font-family: "Anonymous Pro", monospace;
        font-weight: 700;
        font-style: normal;
        border-style: solid;
        border-width: 2px;
    
        border-color: #f3f3f3;
    
        
}

.botao_branco {
    background-color: #f3f3f3;
    padding: 10px;
    grid-column: 3/5;
    text-align: center;
color: #8BB35A;
text-decoration: none;
border-radius: 10px;
border-width: 2px;
font-family: "Anonymous Pro", monospace;
    font-weight: 700;
    font-style: normal;
    border-style: solid;
    
        border-color:#8BB35A;



}

.botao_verde:hover {
    color: lightgray;
}

.botao_branco:hover {
    color: #617A42;
}

.botao_centrado {
    grid-column-start: 6;
    grid-column-end: 8;
}

.img_fundo_topo {
    background-image: url(imagens/imagem_fundo_topo.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

#dia3 {
    background-color: #8BB35A;

}

h1 {
    text-align: center;
    margin-bottom: 100px;

    font-family: "baudot", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 44PX;
}

h2 {
    color: #ffffff;
    text-align: center;
}

h4 {
    color: #000000;
    text-align: center;
    margin-top: 15px;
    background-color: #B9D19C;
    ;

    padding: 20px;
    font-size: 14px;

}

h3 {
    text-align: center;
    font-family: "baudot", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 44PX;
    line-height: 40px;
    margin-bottom: 20px;

}

h5 {
    text-align: center;
    font-family: "baudot", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 30px;
}

h6 {
    color: #000000;
    text-align: center;
    margin-top: 15px;
    background-color: #ABD7E8;
    ;

    padding: 20px;
    font-size: 14px;

}

p {
    font-family: "DM Sans", sans-serif;
    font-size: 16px;
}

header a {
    font-family: "DM Sans", sans-serif;
    font-weight: 900;
    font-size: 18px;
}

h2 {
    font-family: "DM Sans", sans-serif;
    font-size: 16px;
}

h3 {
    font-family: "DM Sans", sans-serif;
    font-weight: 900;
    font-size: 18px;
    color: white;
}

#dia4 {
    background-color: #73BDD8;
    padding-top: 80px;
    padding-bottom: 40px;



}

#dia5 {

    background-color: #8BB35A;
    padding-top: 80px;
    padding-bottom: 40px;
}

footer {
    background-color: #C3A3FF;

}

#mapa {
    background-color: #FFE3E3;

}

#como_chegar {
    background-color: #FFBED7;
}

.accordion {
    background-color: #eee;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
    transition: 0.4s;

    color: rgb(7, 7, 7);
    margin-top: 25px;
    padding-bottom: 20px;

}

.active,
.accordion:hover {
    background-color: #ffffff;
}

.panel {
    padding: 0 18px;
    display: none;
    background-color: #ffffff;
    overflow: hidden;
}


.panel p {
    color: rgb(14, 0, 0);
}



.paddings {
    padding-top: 88px;
    padding-bottom: 88px;
}




.paddingsmall {
    padding-top: 17px;
    padding-bottom: 17px;

}

.dias {

    display: flex;
    align-items: center;
    justify-content: center;


}

#perguntas_frequentes {

    background-color: #FFE3E3;
}


.titulo_entrada {
    grid-column: 1/7;
    margin-bottom: 0;
}

#manoDJ {
    grid-column: 7/13;
    grid-row: 1/3;
}

.descricao {
    grid-column: span 3;
}


#logo {
    width: 200px;
}

/* ############*/
/*  RESPONSIVO */
/* ############*/


@media (max-width:800px) {

    header {
        width: 100%;

        position: fixed;
        /* top: 0; */
    }

    #menu_nav {
        width: 95%;
    }

    #bigmac {
        display: block;
    }

    h1 {
        margin: 0;
        text-align: center;
        padding: 20px 0;
    }

    nav#desktop {
        display: none;

    }

    nav#mobile {
        display: block;
        position: fixed;


        z-index: 20;
        width: 100%;
        left: -100vw;
        top: 70px;
        transition: .3s linear;

        background-color: rgba(182, 230, 255, 0.95);
    }


    nav#mobile.menu_abre {
        left: 0;
    }

    nav#mobile ul {
        margin: 0;
        padding: 0;
        list-style-type: none;
    }

    nav#mobile li {
        width: 100%;
        padding: 20px 0;
        text-align: center;
        height: 80px;
    }


    .conteudo {

        width: 95%;


    }

    .grelha {
        grid-template-columns: 1fr;

    }



    .area12colunas,
    .area3colunas,
    .area4colunas,
    .area5colunas,
    .area6colunas,
    .area7colunas,
    .area8colunas,
    .areadomapa,
    .botao_centrado,
    .titulo_entrada,
    .descricao,
    .botao_verde,
    .botao_branco {

        grid-column: span 1;

    }

    #manoDJ {
        grid-column: span 1;
        grid-row: auto;
    }
}
